Loading...
Searching...
No Matches
coap_proxy_server_list_t Struct Reference
Application API » Proxy

`#include <coap_proxy.h>`

Collaboration diagram for coap_proxy_server_list_t:
[legend]

## Data Fields

coap_proxy_server_t * | entry
| Set of servers to connect to.
size_t | entry_count
| The number of servers.
size_t | next_entry
| Next server to us (% entry_count).
coap_proxy_t | type
| The proxy type.
int | track_client_session
| If 1, track individual connections to upstream server, else 0.
unsigned int | idle_timeout_secs
| Proxy session idle timeout (0 is no timeout).

## Detailed Description

Definition at line 43 of file coap_proxy.h.

## Field Documentation

## entry

coap_proxy_server_t* coap_proxy_server_list_t::entry

Set of servers to connect to.

Definition at line 44 of file coap_proxy.h.

## entry_count

size_t coap_proxy_server_list_t::entry_count

The number of servers.

Definition at line 45 of file coap_proxy.h.

## idle_timeout_secs

unsigned int coap_proxy_server_list_t::idle_timeout_secs

Proxy session idle timeout (0 is no timeout).

Definition at line 50 of file coap_proxy.h.

## next_entry

size_t coap_proxy_server_list_t::next_entry

Next server to us (% entry_count).

Definition at line 46 of file coap_proxy.h.

## track_client_session

int coap_proxy_server_list_t::track_client_session

If 1, track individual connections to upstream server, else 0.

Definition at line 48 of file coap_proxy.h.

## type

coap_proxy_t coap_proxy_server_list_t::type

The proxy type.

Definition at line 47 of file coap_proxy.h.

The documentation for this struct was generated from the following file:

- coap_proxy.h